Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Class LineJoin

    Object
      CodeList<E>
          SimpleEnumerationType<LineJoin>
              LineJoin

All Implemented Interfaces:
  Serializable, Comparable<LineJoin>

    public class LineJoin

extends SimpleEnumerationType<LineJoin>

Indicates the various various ways of joining two lines at their intersection. This class defines static constants for all of the standard choices.

See Also:
  Serialized Form
TODO:
  Localize descriptions.

Field Summary
`static LineJoin` | `BEVEL` This constant indicates that lines should be joined by connecting the outer corners of the lines with a straight line segment.
`static LineJoin` | `MITER` This constant indicates that lines should be joined at intersections by extending their outside edges until they meet.
`static LineJoin` | `ROUND` This constant indicates that lines should be joined by a circular arc of radius equal to half the line width.

Constructor Summary
`protected` | `LineJoin(String name, String description)` Construct a new LineJoin with the given name and description.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static LineJoin[]` | `values()` Returns the list of `LineJoin`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MITER

    public static final LineJoin MITER

  This constant indicates that lines should be joined at intersections by extending their outside edges until they meet.

### ROUND

    public static final LineJoin ROUND

  This constant indicates that lines should be joined by a circular arc of radius equal to half the line width.

### BEVEL

    public static final LineJoin BEVEL

  This constant indicates that lines should be joined by connecting the outer corners of the lines with a straight line segment.

Constructor Detail

### LineJoin

    protected LineJoin(String name,
                       String description)

  Construct a new LineJoin with the given name and description. This constructor should only be used to make the static constants in this class or by a provider subclasses to create implementation specific styles that can be accessed by `DisplayCapabilities.getSupportedLineJoins()`.

  Parameters:
    `name` - a String defining the name of the Arrow pattern.
    `description` - a String describing the pattern.

Method Detail

### values

    public static LineJoin[] values()

  Returns the list of `LineJoin`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<LineJoin>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.